# NOTES:
# BUG: Sometimes does not print last BR: see gnuchess.spec d19b5d9
# Consider using rpmspec tool instead
Summary:	Get dependencies out of RPM spec file
Summary(pl.UTF-8):	Pobieranie zależności z pliku spec pakietu RPM
Name:		rpm-getdeps
Version:	0.0.8
Release:	2
License:	GPL
Group:		Applications/System
Source0:	getdeps.c
Source1:	Makefile
BuildRequires:	rpm-devel >= 1:4.16.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Get dependencies out of RPM spec file.

%description -l pl.UTF-8
Pobieranie zależności z pliku spec pakietu RPM.

%prep
%setup -q -c -T
ln -s %{SOURCE0} .
ln -s %{SOURCE1} .

%build
%{__make} \
	CC="%{__cc}" \
	RPMLDFLAGS="%{rpmldflags}" \
	RPMCFLAGS="%{rpmcflags}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_bindir}

cp -p rpm-getdeps $RPM_BUILD_ROOT%{_bindir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/rpm-getdeps
%changelog
* Wed Feb 05 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/rpm-getdeps.git;a=log;h=master

* Wed Feb 05 2025 Jan Rękorajski <baggins@pld-linux.org> d23975a
- rebuild for rpm 4.20

* Tue May 11 2021 Adam Gołębiowski <adamg@pld-linux.org> 00b3f69
- cleanups

* Tue May 11 2021 Adam Gołębiowski <adamg@pld-linux.org> edbe964
- add note about missing BR returned and alternative tool

* Sun Oct 25 2020 Elan Ruusamäe <glen@pld-linux.org> 00a0315
- Fix -l pl encoding

* Sat Oct 24 2020 Jan Rękorajski <baggins@pld-linux.org> df2ac7c
- port to rpm 4.16
- add Makefile
- version 0.0.8

* Sat Oct 24 2020 Jan Rękorajski <baggins@pld-linux.org> 6576f13
- spec cleanup

* Sat Oct 24 2020 Jan Rękorajski <baggins@pld-linux.org> 5f9d987
- import lost package, rpm 4 does not support '--specsrpm' option

